Summary: Bidirectional data relay between two data channels ('netcat++')
Name: socat
Version: 1.7.1.3
Release: 1%{?dist}
License: GPLv2
Url:  http://www.dest-unreach.org/%{name}
Source: http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.gz
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel compat-readline5-devel ncurses-devel
BuildRequires: autoconf kernel-headers > 2.6.18

%description
Socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these. 
The compat-readline5 library is used to avoid GPLv2 vs GPLv3 issues.


%prep
%setup -q 
iconv -f iso8859-1 -t utf-8 CHANGES > CHANGES.utf8
mv CHANGES.utf8 CHANGES

%build
autoconf
export CPPFLAGS="-I%{_includedir}/readline5" LDFLAGS="-L%{_libdir}/readline5"
%configure  \
        --enable-help --enable-stdio \
        --enable-fdnum --enable-file --enable-creat \
        --enable-gopen --enable-pipe --enable-termios \
        --enable-unix --enable-ip4 --enable-ip6 \
        --enable-rawip --enable-tcp --enable-udp \
        --enable-listen --enable-proxy --enable-exec \
        --enable-system --enable-pty --enable-readline \
        --enable-openssl --enable-sycls --enable-filan \
        --enable-retry --enable-libwrap --disable-fips

chmod 644 *.sh
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ PORTING
%doc COPYING* README SECURITY testcert.conf
%doc daemon.sh ftp.sh gatherinfo.sh mail.sh proxy.sh 
%doc proxyecho.sh readline.sh readline-test.sh
%doc socks4echo.sh socks4a-echo.sh test.sh
%{_bindir}/socat
%{_bindir}/filan
%{_bindir}/procan
%doc %{_mandir}/man1/socat.1*

%changelog
* Mon Aug 23 2010 Paul Wouters <paul@xelerance.com> - 1.7.1.3-1
- Upgrade to 1.7.1.3
- Includes fix for CVE-2010-2799 Stack overflow by lexical scanning of nested
  character patterns
- Resolves https://bugzilla.redhat.com/show_bug.cgi?id=620430

* Sat Jan 30 2010 Paul Wouters <paul@xelerance.com> - 1.7.1.2-1
- Upgraded to 1.7.1.2
- Link against compat-readline5 for GPLv2 license (Miroslav Lichvar)
  (bz #511310)

* Sat Aug 29 2009 Caolán McNamara <caolanm@redhat.com> - 1.7.1.1-5
- recreate autoconf to get correct includes when determining type
  sizes in order to build correctly

* Fri Aug 28 2009 Paul Wouters <paul@xelerance.com> - 1.7.1.1-4
- Bump for new openssl

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.7.1.1-3
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 11 2009 Paul Wouters <paul@xelerance.com> - 1.7.1.1-1
- Upgraded to 1.7.1.1.
- Patch for configure.in with -Wall

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Paul Wouters <paul@xelerance.com 1.7.0.0-1
- Updated to new upstream version
- utf8 the CHANGES file

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> 1.6.0.1-3
- disable the upstream openssl fips support

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.0.1-2
- forgot to upload new source

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.0.1-1
- fix license tag
- update to 1.6.0.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.0.0-8
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.5.0.0-7
 - Rebuild for deps

* Wed Dec  5 2007 Paul Wouters <paul@xelerance.com> 1.5.0.0-6
- Rebuild for updatesd libcrypto

* Mon Feb 19 2007 Paul Wouters <paul@xelerance.com> 1.5.0.0-5
- Tagging failure bug in redhat build system requires bump

* Mon Feb 19 2007 Paul Wouters <paul@xelerance.com> 1.5.0.0-4
- Some filesystem defines moved from their specific (ext2)
  filesystem defines into the generic <linux/fs.h>. 

* Mon Sep 11 2006 Paul Wouters <paul@xelerance.com> 1.5.0.0-3
- Rebuild requested for PT_GNU_HASH support from gcc

* Sun Aug 20 2006 Paul Wouters <paul@xelerance.com> - 1.5.0.0-2
- Added missing examples to doc section and removed execute bits.

* Fri Aug 04 2006 Paul Wouters <paul@xelerance.com> - 1.5.0.0-1
- Updated to 1.5.0.0
- removed version cut/mversion, since source untars properly now.

* Tue May 09 2006 Paul Wouters <paul@xelerance.com> - 1.4.3.1-1
- Updated to 1.4.3.1

* Thu Jan 26 2006 Paul Wouters <paul@xelerance.com> 1.4.3.0-2
- Removed DESTDIR export and fixed two capitals

* Thu Jan 26 2006 Paul Wouters <paul@xelerance.com> 1.4.3.0-1
- Initial version based on Pascal Bleser <guru@unixtech.be> suse rpm
